- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IActiveControl
IBindable
ICache
ICacheDependency
ICallbackEventHandler
IDataRenderer
IModule
IRenderable
IService
IStatePersister
IStyleable
ITextWriter
IUser
Prado
PradoBase
TApplication
TApplicationComponent
TApplicationConfiguration
TApplicationMode
TApplicationStatePersister
TComponent
TComponentReflection
TDraggableConstraint
TDropContainerEventParameter
TEnumerable
TEventParameter
TModule
TPropertyValue
TReflectionClass
TService
TShellApplication

Keyword

# Interface IUser

IUser interface.

This interface must be implemented by user objects.

Since: 3.0
Author: Qiang Xue <qiang.xue@gmail.com>

Method Summary
boolean | getIsGuest ()
string | getName ()
array | getRoles ()
boolean | isInRole ( string $role)
IUser | loadFromString ( string $string)
string | saveToString ()
void | setIsGuest ( boolean $value)
void | setName ( string $value)
array|string | setRoles ( mixed $value)

Method Details

## getIsGuest

public boolean getIsGuest | ()

Output
boolean | if the user is a guest
Exception

## getName

public string getName | ()

Output
string | username
Exception

## getRoles

public array getRoles | ()

Output
array | list of roles that the user is of
Exception

## isInRole

public boolean isInRole | (string $role )

Input
string | $role | role to be tested
Output
boolean | whether the user is of this role
Exception

## loadFromString

public IUser loadFromString | (string $string )

Input
string | $string | user data that is serialized and restored from session
Output
IUser | the user object
Exception

## saveToString

public string saveToString | ()

Output
string | user data that is serialized and will be stored in session
Exception

## setIsGuest

public void setIsGuest | (boolean $value )

Input
boolean | $value | if the user is a guest
Output
Exception

## setName

public void setName | (string $value )

Input
string | $value | username
Output
Exception

## setRoles

public array|string setRoles | (mixed $value )

Input
mixed | $value |
Output
array|string | list of roles that the user is of. If it is a string, roles are assumed by separated by comma
Exception